## org.jfree.chart
Interface LegendItemSource

All Known Subinterfaces:
  CategoryItemRenderer, XYItemRenderer

All Known Implementing Classes:
  AbstractCategoryItemRenderer, AbstractXYItemRenderer, CandlestickRenderer, HighLowRenderer, IntervalBarRenderer, Plot, StandardXYItemRenderer, StatisticalBarRenderer, WindItemRenderer, XYAreaRenderer, XYAreaRenderer2, XYBarRenderer, XYBoxAndWhiskerRenderer, XYBubbleRenderer, XYDifferenceRenderer, XYDotRenderer, XYLineAndShapeRenderer, XYStepAreaRenderer, XYStepRenderer, YIntervalRenderer

public interface LegendItemSource

A source of legend items. A `LegendTitle` will maintain a list of sources (often just one) from which it obtains legend items.

Method Summary
`LegendItemCollection` `getLegendItems()` Returns a (possibly empty) collection of legend items.

Method Detail

### getLegendItems

    public LegendItemCollection getLegendItems()

  Returns a (possibly empty) collection of legend items.

  Returns:
    The legend item collection (never `null`).